aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2015-09-17 08:28:19 +0000
committerEivind Uggedal <eivind@uggedal.com>2015-09-17 08:30:07 +0000
commit872e243e86755324941ca86e19fedee32348f16d (patch)
treed2588a5397bcec36b097ee916cc79ea8c0a7a729
parent4c4e9d1c3a1bc836f2bcd85334791b75f8386fd7 (diff)
downloadaports-872e243e86755324941ca86e19fedee32348f16d.tar.gz
aports-872e243e86755324941ca86e19fedee32348f16d.tar.bz2
aports-872e243e86755324941ca86e19fedee32348f16d.tar.xz
main/font-bh-100dpi: upgrade to 1.0.3
-rw-r--r--main/font-bh-100dpi/APKBUILD23
1 files changed, 19 insertions, 4 deletions
diff --git a/main/font-bh-100dpi/APKBUILD b/main/font-bh-100dpi/APKBUILD
index a0b2586200..a16493d436 100644
--- a/main/font-bh-100dpi/APKBUILD
+++ b/main/font-bh-100dpi/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-bh-100dpi
-pkgver=1.0.0
-pkgrel=3
+pkgver=1.0.3
+pkgrel=0
pkgdesc="X.Org Bigelow & Holmes bitmap fonts"
url="http://xorg.freedesktop.org/"
arch="all"
@@ -11,6 +11,11 @@ makedepends="font-util-dev bdftopcf"
install=
source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2"
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ update_config_sub || return 1
+}
+
build() {
cd "$srcdir"/$pkgname-$pkgver
./configure \
@@ -21,7 +26,17 @@ build() {
--with-fontdir=/usr/share/fonts/100dpi \
|| return 1
make || return 1
- make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
-md5sums="e5592de74a5c04e3a2608800dd079197 font-bh-100dpi-1.0.0.tar.bz2"
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make -j1 DESTDIR="$pkgdir" \
+ MKFONTDIR=: \
+ MKFONTSCALE=: \
+ FCCACHE=: \
+ install || return 1
+}
+
+md5sums="9f11ade089d689b9d59e0f47d26f39cd font-bh-100dpi-1.0.3.tar.bz2"
+sha256sums="23c07162708e4b79eb33095c8bfa62c783717a9431254bbf44863734ea239481 font-bh-100dpi-1.0.3.tar.bz2"
+sha512sums="60532fb3bd25bad08b1db65f96fdd1cdb2ae5fd580729d7851f5b619f1ed6bdef4fec30111ec408cec9ae5e94f92ad9cf214214c01ac684f3a4bd8d43bafd8a2 font-bh-100dpi-1.0.3.tar.bz2"